%undefine __cmake_in_source_build

%global realname urdfdom_headers

Name:		urdfdom-headers
Version:	1.0.5
Release:    2%{?dist}
Summary:	The URDF (U-Robot Description Format) headers

License:	BSD
URL:		http://ros.org/wiki/urdf
Source0:	https://github.com/ros/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildArch:	noarch

Patch0:         urdfdom-headers-cmake.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	cmake

%description
%{summary}

%package devel
Summary: The URDF (U-Robot Description Format) headers
Requires: pkgconfig
BuildArch: noarch
Provides: %{name}-static = %{version}-%{release}

%description devel
The URDF (U-Robot Description Format) headers provides core data structure
headers for URDF.

For now, the details of the URDF specifications reside on
http://ros.org/wiki/urdf

%prep
%setup -qn %{realname}-%{version}
%patch0 -p1 -b .fedora

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%doc README.md
%{_includedir}/urdf_exception
%{_includedir}/urdf_model
%{_includedir}/urdf_model_state
%{_includedir}/urdf_sensor
%{_includedir}/urdf_world
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{realname}

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.5-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-1
- initial build
